@import "/css/base.css";
@import "/xhref/nav/navigation.css";
@import "/xhref/footer/footer.css";
@import "/css/projectpage-images.css";


html{
  background-color: white;
}

main {
  background-color: white;
}

.outer-shell{
  display: block;
  width: 100vw;
}

.work-background{
  padding: 0 5vw 5vw 5vw;
  box-shadow: 0px 10px 15px 10px rgba(216, 216, 216, .35);
  }

.divider{
  height: 1.5px;
  width: 100%;
  background-color: #e3e3e3;
  margin: 1.5vw 0vw;
}

.info-button_shell {
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 30px 0 30px 1px;
  margin-top: 2vw;
  cursor: pointer;
  width: 88.5vw;
}

.projectInfoButton {
  font-size: .875rem;
  font-weight: 400;
  color: rgb(160, 160, 160);
  cursor: pointer;
}

.projectInfoButton:hover {
  font-size: .875rem;
  color: #323535;
}

.vert-sep {
  background-color: rgb(160, 160, 160);
  width: 2px;
  height: 1rem;
  margin: 0 15px;
}



.image-gallery_shell {
  width: 90vw;
  display: grid;
  grid-template-columns: repeat(3, minmax(10vw, 1fr));
  grid-auto-rows: 30vw;
  grid-gap: 3px;
  margin-bottom: 3vw;
  /* height: 140vh; */
}


.project_shell {
  position: relative;
  overflow: hidden;
  background-color: #ffffff;
  cursor: pointer;
  filter: drop-shadow(0px 0px 15px #ebebeb);
  mix-blend-mode: multiply;
  /* box-shadow: -5px -5px 7px #ffffff73, 3px 3px 5px rgba(94, 104, 121, .35), 5px 5px 0px rgba(255, 255, 255, .75); */
  transition: ease-in 300ms;
  cursor: pointer;

}

.project-header_shell {
  background-color: #ffffff;
  display: flex;
  flex-direction: column;
  /* justify-content: flex-end; */
  padding: 18px;  
  cursor:pointer;
}


/* equivalent to project_image */
.project_image {
  position: absolute;
  height: 100%;
  opacity: .9;
  /* margin-left: -50%; */
}


.line-shell{
  width: 100%;
  display: flex;
  justify-content: flex-end;
}

.yellow-line {
  height: 8px;
  width: 32px;
  background-color: #f3c546;
  /* margin-top: 30px; */
  margin-bottom: 10px;
}

.grid_overlay {
  background-color: rgba(250, 250, 250, .85);
  height: 100%;
  padding: 12px 12px;
  transition: ease-in .2s;
  position: relative;
  z-index: 500;
  opacity: 0%;
  display: flex;
}

.work-overlay-text_shell {
  height: 100%;
}

.work-overlay-text_shell:hover {
  transition: .2s ease-in-out;
  transform: scale(1.05) translateY(8px);
}

/*work overlay text*/
.grid_overlay a {
  text-decoration: none;
  color: #323535;
}



/* --------------Breakpoints---------- */


@media (min-width: 480px) {
  .grid_overlay:hover {
    opacity: 100%;
  }

  .work-image-gallery_desktop {
    grid-template-columns: repeat(9, minmax(17.65vw, 17.65vw));
    grid-auto-rows: minmax(17.65vw, 17.65vw);
  }

  .image-gallery_shell {
    grid-template-columns: repeat(8, minmax(10vw, 1fr));
    grid-auto-rows: 11vw;
    grid-gap: 3px;
  }

  .line-shell{
    width: 100%;
    display: flex;
    justify-content: flex-end;
  }
  
  .yellow-line {
    height: 8px;
    width: 32px;
    background-color: #f3c546;
    margin-bottom: 12px;
    position: relative;
    z-index: 500;
    mix-blend-mode: multiply;
  }

  .yellow-line:hover {
    opacity: 0%;
    cursor: pointer;
    transition: ease-in .2s;

  }
}

@media (min-width: 900px) {
}

@media (min-width: 1140px) {


  .no-top-margin {
    margin-top: 20px;
  }
}


@media (min-width: 1440px) {

  .no-top-margin {
    margin-top: 0;
  }

}


@media (min-width: 1600px) {
}
